// Nazev:   Implementace parseru VHDL
// Soubor:  lex.h
// Popis:   implementace lexikalniho analyzatoru
// Datum:   2006-05-10
// Autor:   strakam@fit.vutbr.cz, Martin Straka, DIT 2006
//========================================================================

#ifndef lexH
#define lexH
#include <fstream>
#include <string>
#include <list>
#include <iostream>
//#include <vector>

using namespace std;
// -----------------------------------------------------------------------------
extern int
         lexColumn,      // i-ty token na radku
         lexLine,        // cislo radku
         lexInt;         // obsahuje nactenou int hodnotu
extern string
         lexStr;        // obsahuje nacteny text (id,str)
// -----------------------------------------------------------------------------
enum  TSymbol{
   EofSym, EntiSym, ArchSym, SignSym, CompSym, VariSym, IdSym, PortSym,
   IsSym, OfSym, BegiSym, EndSym, ProsSym, ProdSym, InSym, OutSym, InOutSym,
   LibrSym, UseSym, AllSym
};

extern int
         strednik,zavorka,carka,knihovna,obsah,typ,
         lexColumn,      // i-ty token na radku
         lexLine,        // cislo radku
         lexInt;         // obsahuje nactenou int hodnotu
extern string
         lexStr, obsah2, inname, inname2;        // obsahuje nacteny text (id,str)

extern ofstream f1,f2;
//extern char c;
// -----------------------------------------------------------------------------
bool lexInit(string inputFileName);
void lexFree(string inputFileName);
//string getnextchar();
string lex();
bool lexInit2(string inputFileName);
void lexFree2(string inputFileName);
//string getnextchar();
string lex2();
void synTotalError(string msg);
#endif

